/******************************************************************************

                        Include file for disassembling

 ******************************************************************************/

struct OpcodeInfo
{
int             Bytes;                  /* Number of bytes */
unsigned int    Mask;                   /* Mask for word/byte */
unsigned int    Compare;                /* Value to be compared against */
unsigned char   *Text;                  /* Text equivalent of opcode */
};

struct OpcodeInfo Opcodes[] = {

        { 2,0xF000,0x0000,"call .a"             },
        { 2,0xF000,0x1000,"jmp  .a"             },
        { 2,0xF000,0x2000,"jsr  .a"             },
        { 2,0xF000,0x3000,"jnz  R.x,.s"         },
        { 2,0xF000,0x4000,"jz   R.x,.s"         },
        { 2,0xF000,0x5000,"skne R.x,#.i"        },
		{ 2,0xF000,0x6000,"ldi  R.x,#.i"        },
        { 2,0xFF00,0x7000,"djnz R0,.s"          },
		{ 2,0xF000,0x7000,"adi  R.x,#.i"        },
        { 2,0xF00F,0x8000,"mov  R.x,R.y"        },
        { 2,0xF00F,0x8001,"or   R.x,R.y"        },
        { 2,0xF00F,0x8002,"and  R.x,R.y"        },
        { 2,0xF00F,0x8003,"xor  R.x,R.y"        },
        { 2,0xF00F,0x8004,"add  R.x,R.y"        },
        { 2,0xF00F,0x8005,"sub  R.x,R.y"        },
        { 2,0xF00F,0x8007,"rsb  R.x,R.y"        },
		{ 2,0xF00F,0x8006,"shr  R.x,R.y"        },
		{ 2,0xF00F,0x800E,"shl  R.x,R.y"        },
        { 2,0xF000,0x9000,"skne R.x,R.y"        },
        { 2,0xF001,0x9001,"mov  R.x,R.y"        },
		{ 2,0xF003,0x9002,"ldr  R.x,R.y"        },
		{ 2,0xF007,0x9004,"str  R.x,R.y"        },
		{ 2,0xF00F,0x9008,"bcd  R.x,R.y"        },
		{ 2,0xF000,0xA000,"ldx  #.z"            },
		{ 2,0xF000,0xB000,"sti  .x,#.i"         },
        { 1,0x00FF,0x00C0,"ret      "           },
        { 2,0xF000,0xC000,"ran  R.x,#.i"        },
		{ 2,0xFF00,0xDF00,"key  RB,.s"          },
        { 2,0xF000,0xD000,"key  K.x,.s"         },
		{ 1,0x00FF,0x00E0,"spclear"             },
		{ 1,0x00F1,0x00E1,"spmove"              },
		{ 1,0x00F3,0x00E2,"spmovec"             },
		{ 1,0x00F7,0x00E4,"spxor"               },
		{ 2,0xFF00,0xE800,"spdraw .s"           },
		{ 2,0xF0FF,0xF0A6,"ldm  R.x"            },
		{ 2,0xF0FF,0xF0A9,"stm  R.x"            },
		{ 2,0xF0FF,0xF0AC,"ldma R.x"            },
		{ 2,0xF0FF,0xF0AF,"stma R.x"            },
		{ 2,0xF0FF,0xF0B3,"slsb R.x"            },
		{ 2,0xF0FF,0xF0B6,"afor R.x"            },
        { 2,0xF000,0xF000,"xtf  R.x,FN.i"       },
        { 1,0x0000,0x0000,"byte #.i       " },
        { 0,0,0,"" }};

